Bug 722999 - shutil.Error: Destination path '.../work/x86_64/3.0-0.rc7.git3.1.fc16.x86_64' already exists
shutil.Error: Destination path '.../work/x86_64/3.0-0.rc7.git3.1.fc16.x86_64'...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-18 13:57 EDT by John Reiser
Modified: 2013-07-04 08:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: lorax-16.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-12 06:25:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2011-07-18 13:57:53 EDT
Description of problem: lorax aborts when creating install root filesystem.


Version-Release number of selected component (if applicable):
today's git head 43801291efc6727e3b23efb2af150f5499c83ff4

How reproducible: every time


Steps to Reproduce:
1. VERSION=16
   DESTDIR=/ext4/Fedora$VERSION
   ARCH=x86_64; export ARCH
   rm -rf $DESTDIR/work/$ARCH   # remove the troublesome directory tree

2. /usr/bin/pungi -c rawhide-fedora.ks \
        --destdir=$DESTDIR --name Fedora --ver $VERSION --nosource
3.
  
Actual results:
  [snip]
writing .buildstamp file
removing locales
creating keymaps
creating screenfont
moving stubs
getting list of required modules
cleaning up kernel modules
compressing modules
running depmod for kernel 3.0-0.rc7.git3.1.fc16.x86_64
Traceback (most recent call last):
  File "/usr/bin/pungi", line 218, in <module>
    main()
  File "/usr/bin/pungi", line 122, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 845, in doBuildinstall
    workdir=workdir, outputdir=outputdir)
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 309, in run
    self.installtree.run_depmod(kernel)
  File "/usr/lib/python2.7/site-packages/pylorax/installtree.py", line 324, in run_depmod
    shutil.move(moddir, self.workdir)
  File "/usr/lib64/python2.7/shutil.py", line 288, in move
    raise Error, "Destination path '%s' already exists" % real_dst
shutil.Error: Destination path '/ext4/Fedora16/work/x86_64/3.0-0.rc7.git3.1.fc16.x86_64' already exists


Expected results: No complaint; directory was created during the pungi run, so pungi+lorax has complete control over it.


Additional info:

Note You need to log in before you can comment on or make changes to this bug.